% function gui(musArr44, clickArr, clickArr12, cntArr44, corStrArr12, corStrArr, sinClickArr44)

    figure(1);
    
    clickArr = str2double(corStrArr(:, 1));
    
    curveCentDist = 1.2;
    curveDistOff = curveCentDist/2; % Toppen av vinduet
    
    fs = 44100;

    b = 0; 
    while  b ~= 113 % q
        ax = axis(); % x y b t
        [x y b] = ginput(1);
        clickStart = findNermestClick(ax(1), corStrArr);
        clickEnd = findNermestClick(ax(2), corStrArr);
        clickBredde = clickEnd - clickStart;
        
        if b == 28 % pil V
            figure(1);
            clickStart = clickStart - clickBredde + 1;
            clickStart = max([clickStart 0]);
            
            plotCurves44(musArr44, cntArr44, corArr12, corStrArr, clickStart, clickBredde);
            figure(1);
        end
        if b == 124 % <
            figure(1);
            clickStart = clickStart - floor(clickBredde/2) + 1;
            clickStart = max([clickStart 0]);
            
            plotCurves44(musArr44, cntArr44, corArr12, corStrArr, clickStart, clickBredde);
            figure(1);
        end        
        if b == 29 % pil H
            figure(1);
            clickStart = clickStart + clickBredde - 1;
            plotCurves44(musArr44, cntArr44, corArr12, corStrArr, clickStart, clickBredde);
            figure(1);
        end
        if b == 65447 % <
            figure(1);
            clickStart = clickStart + floor(clickBredde/2) - 1;
            plotCurves44(musArr44, cntArr44, corArr12, corStrArr, clickStart, clickBredde);
            figure(1);
        end        
        
        if b == 31 % pil ned zoom in
            figure(1);
            clickBredde = floor(clickBredde/2);
            plotCurves44(musArr44, cntArr44, corArr12, corStrArr, clickStart, clickBredde);
            figure(1);
        end
        if b == 30 % pil opp zoom out
            figure(1);
            clickBredde = floor(2*clickBredde);
            plotCurves44(musArr44, cntArr44, corArr12, corStrArr, clickStart, clickBredde);
            figure(1);
        end
        
        if b == 112 % p play
            figure(1);
            sStart = max([floor(fs*clickArr(clickStart)/1000) 1]);
            sEnd = floor(fs*clickArr(clickEnd)/1000);
            musClickSum = 0.5* (0.4*sinClickArr44(sStart:sEnd, :) + musArr44(sStart:sEnd, :));
            player = audioplayer(musClickSum, fs); playblocking(player);
            figure(1);
        end

        if b == 100 % x run demo
            runDemo(corStrArr, cntArr44, 4);
        end
        if b == 68 % x run demo slow
            runDqemo(corStrArr, cntArr44, 8);
        end        
        
        if b == 120 % x run preview
            runPreview(musArr44, sinClickArr44, cntArr44, corStrArr, 44100);
        end
        if b == 88 % X run preview slow
            runPreview(musArr44, sinClickArr44, cntArr44, corStrArr, floor(44100/2));
        end   
        if b == 24 % cnt-X run preview slow
            runPreview(musArr44, sinClickArr44, cntArr44, corStrArr, floor(44100/3));
        end          
        
        
        if b == 114 % r reload cor
            corStrArr = corReadFile('work/cor_Zstd_agent1.txt');
            corArr12 = makeCorArr12(corStrArr);
            sinClickArr44 = makeSinClickArr44(corStrArr, musArr44);              % (Mx2) stereo sinus clicks
            sinClickArr44 = addCommentToSinClick44(sinClickArr44, corStrArr);
            cntArr44 = makeCntArr44(corArr12, size(musArr44, 1));  % (M*2x1) 44100Hz kontroll kurver
            
            plotCurves44(musArr44, cntArr44, corArr12, corStrArr, clickStart, clickBredde);
        end  
        
        if y > -curveDistOff -curveCentDist - 0.5 && y < -curveDistOff -curveCentDist + 0.5
            y = floor(4.5*2*(y + curveDistOff + curveCentDist) + 5.5) 
        end
        
    end
    
% end

